<?php

namespace KupShop\ComponentsBundle\Twig\Components\Utils\EditableContent;

class BlocekDataResult
{
    public function __construct(
        protected ?array $object = null,
    ) {
    }

    public function getValues(): array
    {
        return $this->object['values'] ?? [];
    }

    public function isEmpty(): bool
    {
        return empty($this->object['values']);
    }

    public function getInverse(): bool
    {
        return $this->object['inverse'] ?? false;
    }
}
